/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Via;
import com.rjconsultores.ventaboletos.utilerias.RegistroConDependenciaException;

/**
 * 
 * @author Administrador
 */
public interface ViaService {

	public List<Via> obtenerTodos();

	public Via obtenerID(Integer id);

	public Via suscribir(Via entidad);

	public Via actualizacion(Via entidad);

	public void borrar(Via entidad) throws RegistroConDependenciaException;

	public List<Via> buscar(String nombvia);
}
